Bug 239784 - sysutils/py-pkginfo: Update to 1.5.0.1
Summary: sysutils/py-pkginfo: Update to 1.5.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://bazaar.launchpad.net/~tseaver...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-11 21:57 UTC by Kai Knoblich
Modified: 2019-08-26 08:46 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (che)
kai: merge-quarterly+


Attachments
py-pkginfo-1.5.0.1.patch (1.03 KB, patch)
2019-08-11 21:57 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2019-08-11 21:57:19 UTC
Created attachment 206450 [details]
py-pkginfo-1.5.0.1.patch

Hi,

attached is the patch that updates sysutils/py-pkginfo to 1.5.0.1.

Changes to the port:

- Pet portlint by separate the USES block while I'm here.

Changelog since 1.4.2:

- Fix broken 'sdist'.
- Fix 'console_scripts' entry point syntax.
- Add support for JSON output from the CLI.
- Add support for installed wheels.  E.g., 'dist-info/' dirs.
- Harden metadata extraction against unexpected encodings.
- Update tests to match pip/setuptools' use of new metadata version.
- Add support for Python 3.6 and 3.7.
- Drop support for Python 3.3.

QA:
~~~
- poudriere (11.2-, 11.3-, 12.0-RELEASE, 13.0-CURRENT@r350665 amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK
Comment 1 commit-hook freebsd_committer 2019-08-25 23:17:07 UTC
A commit references this bug:

Author: kai
Date: Sun Aug 25 23:16:34 UTC 2019
New revision: 509859
URL: https://svnweb.freebsd.org/changeset/ports/509859

Log:
  sysutils/py-pkginfo: Update to 1.5.0.1

  * Pet portlint by making the USES block separate while I'm here

  Changelog since 1.4.2:

  * Fix broken "sdist".
  * Fix "console_scripts" entry point syntax.
  * Add support for JSON output from the CLI.
  * Add support for installed wheels.  E.g., "dist-info/" dirs.
  * Harden metadata extraction against unexpected encodings.
  * Update tests to match pip/setuptools use of new metadata version.
  * Add support for Python 3.6 and 3.7.
  * Drop support for Python 3.3.

  PR:		239784
  Approved by:	maintainer timeout (14 days)
  MFH:		2019Q3

Changes:
  head/sysutils/py-pkginfo/Makefile
  head/sysutils/py-pkginfo/distinfo
Comment 2 commit-hook freebsd_committer 2019-08-26 08:38:53 UTC
A commit references this bug:

Author: kai
Date: Mon Aug 26 08:38:39 UTC 2019
New revision: 509890
URL: https://svnweb.freebsd.org/changeset/ports/509890

Log:
  MFH: r509859

  sysutils/py-pkginfo: Update to 1.5.0.1

  * Pet portlint by making the USES block separate while I'm here

  Changelog since 1.4.2:

  * Fix broken "sdist".
  * Fix "console_scripts" entry point syntax.
  * Add support for JSON output from the CLI.
  * Add support for installed wheels.  E.g., "dist-info/" dirs.
  * Harden metadata extraction against unexpected encodings.
  * Update tests to match pip/setuptools use of new metadata version.
  * Add support for Python 3.6 and 3.7.
  * Drop support for Python 3.3.

  PR:		239784
  Approved by:	maintainer timeout (14 days)
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/sysutils/py-pkginfo/Makefile
  branches/2019Q3/sysutils/py-pkginfo/distinfo
Comment 3 Kai Knoblich freebsd_committer 2019-08-26 08:45:58 UTC
Comment on attachment 206450 [details]
py-pkginfo-1.5.0.1.patch

Approved by: maintainer timeout (14 days)